CVE-2006-4980

Properties

Published:
09.10.2006
Updated:
23.01.2009
Patch available:
Severity:
High
CVSS vector:
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Product:
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python
python_software_foundation: python

Vulnerability description

Buffer overflow in the repr function in Python 2.3 through 2.6 before 20060822 allows context-dependent attackers to cause a denial of service and possibly execute arbitrary code via crafted wide character UTF-32/UCS-4 strings to certain scripts.

References:

SECUNIA: http://secunia.com/advisories/22303
SECUNIA: http://secunia.com/advisories/22276
CONFIRM: https://launchpad.net/distros/ubuntu/+source/python2.4/+bug/56633
CONFIRM: http://zoehep.xent.com/~bsittler/python2.4-2.4.3_unicodeobject.c.diff
UBUNTU: http://www.ubuntu.com/usn/usn-359-1
BID: http://www.securityfocus.com/bid/20376
REDHAT: http://www.redhat.com/support/errata/RHSA-2008-0629.html
CONFIRM: http://sourceforge.net/tracker/index.php?func=detail&aid=1541585&group_id=5470&atid=305470
SECUNIA: http://secunia.com/advisories/31492
CONFIRM: http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=208162
CONFIRM: https://issues.rpath.com/browse/RPL-702
XF: http://xforce.iss.net/xforce/xfdb/29408
CONFIRM: http://www.vmware.com/support/vi3/doc/esx-9986131-patch.html
CONFIRM: http://www.vmware.com/support/vi3/doc/esx-3069097-patch.html
BUGTRAQ: http://www.securityfocus.com/archive/1/archive/1/456546/100/200/threaded
BUGTRAQ: http://www.securityfocus.com/archive/1/archive/1/448244/100/100/threaded
REDHAT: http://www.redhat.com/support/errata/RHSA-2006-0713.html
SUSE: http://www.novell.com/linux/security/advisories/2006_25_sr.html
MANDRIVA: http://www.mandriva.com/security/advisories?name=MDKSA-2006:181
FRSIRT: http://www.frsirt.com/english/advisories/2006/5131
FRSIRT: http://www.frsirt.com/english/advisories/2006/3940
DEBIAN: http://www.debian.org/security/2006/dsa-1198
DEBIAN: http://www.debian.org/security/2006/dsa-1197
CONFIRM: http://support.avaya.com/elmodocs2/security/ASA-2006-229.htm
SECTRACK: http://securitytracker.com/id?1017019
GENTOO: http://security.gentoo.org/glsa/glsa-200610-07.xml
SECUNIA: http://secunia.com/advisories/23680
SECUNIA: http://secunia.com/advisories/22639
SECUNIA: http://secunia.com/advisories/22531
SECUNIA: http://secunia.com/advisories/22512
SECUNIA: http://secunia.com/advisories/22487
SECUNIA: http://secunia.com/advisories/22448
SECUNIA: http://secunia.com/advisories/22379
SECUNIA: http://secunia.com/advisories/22358
SECUNIA: http://secunia.com/advisories/22357
SECUNIA: http://secunia.com/advisories/22297
CONFIRM: http://kb.vmware.com/KanisaPlatform/Publishing/882/5120103_f.SAL_Public.html
MANDRIVA: http://frontal2.mandriva.com/security/advisories?name=MDKSA-2006:181
CONFIRM: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=391589
SGI: ftp://patches.sgi.com/support/free/security/advisories/20061001-01-P.asc